tvbrowser.ui.mainframe

## Class MainFrame

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - tvbrowser.ui.mainframe.MainFrame

- All Implemented Interfaces:
    FilterChangeListenerV2, java.awt.dnd.DropTargetListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants, DateListener, PluginStateListener, PersonaListener

      public class MainFrame
      extends javax.swing.JFrame
      implements DateListener, java.awt.dnd.DropTargetListener, PersonaListener, PluginStateListener, FilterChangeListenerV2

  TV-Browser
  Author:
    Martin Oberhauser
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JFrame

      `javax.swing.JFrame.AccessibleJFrame`

    - ### Nested classes/interfaces inherited from class java.awt.Frame

      `java.awt.Frame.AccessibleAWTFrame`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Localizer` | `mLocalizer` The localizer for this class.

    - ### Fields inherited from class javax.swing.JFrame

      `accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Frame

      `CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addKeyboardAction()` Adds the keyboard actions for going to the program table with the keyboard.
    `void` | `askForDataUpdate(java.lang.String message, int numberOfDays)`
    `void` | `askForDataUpdateChannelsAdded()`
    `void` | `askForDataUpdateNoDataAvailable()`
    `void` | `changeColumnWidth(int offset)` increase/decrease the width of the program table columns
    `void` | `changeFontSize(int offset)` increase/decrease the font of the program table
    `void` | `copySettingsToSystem()`
    `void` | `createDateSelector()`
    `ProgressMonitor` | `createProgressMonitor()`
    `void` | `dateChanged(Date date, ProgressMonitor monitor, java.lang.Runnable callback, boolean informPluginPanels)` Implementation of Interface DateListener
    `void` | `dragEnter(java.awt.dnd.DropTargetDragEvent dtde)`
    `void` | `dragExit(java.awt.dnd.DropTargetEvent dte)`
    `void` | `dragOver(java.awt.dnd.DropTargetDragEvent dtde)`
    `void` | `drop(java.awt.dnd.DropTargetDropEvent dtde)`
    `void` | `dropActionChanged(java.awt.dnd.DropTargetDragEvent dtde)`
    `void` | `filterAdded(ProgramFilter filter)` Called when a filter is added.
    `void` | `filterDefaultChanged(ProgramFilter filter)` Called when the default filter was changed.
    `void` | `filterRemoved(ProgramFilter filter)` Called when a filter was removed.
    `void` | `filterTouched(ProgramFilter filter)` Called when user edited the filter.
    `ChannelFilter` | `getChannelFilter()`
    `Date` | `getCurrentSelectedDate()`
    `static MainFrame` | `getInstance()`
    `PluginViewWrapper` | `getPluginViewWrapper()`
    `ProgramFilter` | `getProgramFilter()`
    `DefaultProgramTableModel` | `getProgramTableModel()`
    `ProgramTableScrollPane` | `getProgramTableScrollPane()`
    `ProgramTableScrollPaneWrapper` | `getProgramTableScrollPaneWrapper()`
    `StatusBar` | `getStatusBar()`
    `javax.swing.JLabel` | `getStatusBarLabel()`
    `ToolBar` | `getToolbar()`
    `javax.swing.JPanel` | `getToolBarPanel()`
    `boolean` | `getUserRequestCopyToSystem()`
    `void` | `goTo(Date date)`
    `protected void` | `goToLeftSide()`
    `void` | `goToNextDay()`
    `void` | `goToNextDay(java.lang.Runnable callback)`
    `void` | `goToNextWeek()` show same week day 7 days later
    `void` | `goToPreviousDay()`
    `void` | `goToPreviousDay(java.lang.Runnable callback)`
    `void` | `goToPreviousWeek()` show same week day 7 days earlier
    `protected void` | `goToRightSide()`
    `void` | `goToToday()`
    `void` | `handleChangedTvDataDir()` Updates the entries of the finder panal.
    `void` | `handleTvBrowserStartFinished()` Handles done TV-Browser start.
    `boolean` | `isDefaultFilterActivated()` check if the default filter is active
    `boolean` | `isFullScreenMode()` get whether the mainframe is currently in full screen mode
    `boolean` | `isShowAllFilterActivated()`
    `boolean` | `isShowingPluginOverview()` Gets if the plugin overview is shown.
    `static boolean` | `isShuttingDown()` Gets if TV-Browser is currently being shutting down.
    `static boolean` | `isStarting()` Gets whether TV-Browser is currently being started.
    `boolean` | `licenseForTvDataServicesWasAccepted(TvDataServiceProxy[] updateServices)` Checks if all users services license were accepted.
    `void` | `pluginActivated(PluginProxy plugin)`
    `void` | `pluginDeactivated(PluginProxy plugin)`
    `void` | `pluginLoaded(PluginProxy plugin)`
    `void` | `pluginUnloaded(PluginProxy plugin)`
    `void` | `quit()`
    `void` | `quit(boolean log)`
    `void` | `repaint()`
    `static void` | `resetOnAirArrays()` Resets the arrays of on air programs for reloading all.
    `void` | `runSetupAssistant()`
    `void` | `runUpdateThread(int daysToDownload, TvDataServiceProxy[] services, boolean autoUpdate)`
    `void` | `scrollToNow()`
    `void` | `scrollToNowFirst()` Very first scrollToNow should only be called from TVBrowser.java
    `void` | `scrollToProgram(Program program)`
    `void` | `scrollToProgram(Program program, java.lang.Runnable callback)`
    `void` | `scrollToTime(int time, boolean mark)`
    `void` | `selectChannel(Channel channel)`
    `void` | `selectProgram(Program program, boolean scroll)`
    `void` | `setChannelFilter(ChannelFilter channelFilter)` Set the active channel group
    `void` | `setIsToolbarAdditonalBottomSpace(boolean value)`
    `void` | `setIsToolbarAdditonalTopSpace(boolean value)`
    `void` | `setPluginViewButton(boolean selected)`
    `void` | `setProgramFilter(ProgramFilter filter)`
    `void` | `setShowChannellist(boolean visible)`
    `void` | `setShowChannellist(boolean visible, boolean save)`
    `void` | `setShowDatelist(boolean visible)`
    `void` | `setShowDatelist(boolean visible, boolean save)`
    `void` | `setShowMenubar(boolean visible)`
    `void` | `setShowPluginOverview(boolean visible)`
    `void` | `setShowPluginOverview(boolean visible, boolean save)`
    `void` | `setShowSearchField(boolean visible)`
    `void` | `setShowStatusbar(boolean visible)` Makes the StatusBar visible
    `void` | `setShowTimeButtons(boolean visible)`
    `void` | `setShowTimeButtons(boolean visible, boolean save)`
    `void` | `setShowToolbar(boolean visible)`
    `void` | `setVisible(boolean visible)`
    `void` | `showAboutBox()` Shows the about box
    `void` | `showChannel(Channel ch)`
    `void` | `showFilterDialog()`
    `void` | `showFromTray(int state)`
    `void` | `showHelpDialog()`
    `protected void` | `showPluginInfoDlg()`
    `void` | `showProgramTableTabIfAvailable()`
    `void` | `showSettingsDialog()` Shows the settings dialog.
    `void` | `showSettingsDialog(Plugin plugin)` Show the Settings for a specific Plugin
    `void` | `showSettingsDialog(java.lang.String visibleTabId)` Show Settings Dialog for a specific TabId
    `void` | `showUpdatePluginsDlg(boolean noQuestion)`
    `void` | `storeSettings()`
    `void` | `switchFullscreenMode()` Switch the fullscreen mode of TV-Browser
    `void` | `updateButtons()` Updates the TimeChooser-Buttons
    `void` | `updateCenterPanels()`
    `void` | `updateChannelChooser()`
    `void` | `updateChannelGroupMenu(javax.swing.JMenu channelGroupMenu)`
    `void` | `updateChannellist()`
    `void` | `updateFilterMenu()`
    `void` | `updateFilterPanel()`
    `void` | `updatePersona()` Updates the search field on Persona change.
    `void` | `updatePlugins(java.lang.String baseUrl, int dialogType, javax.swing.JLabel infoLabel, boolean dontShowUpdateDlg)` Search for updates of plugins.
    `void` | `updatePluginsMenu()`
    `void` | `updatePluginTree()`
    `void` | `updateTimeButtons()`
    `void` | `updateToolbar()`
    `void` | `updateTvData()` Starts the TV listings update without a special reason shown in the dialog
    `void` | `updateTvData(int numberOfDays, java.lang.String reason)` Starts the TV listings update with the given reason shown in the dialog

    - ### Methods inherited from class javax.swing.JFrame

      `addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Frame

      `addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, show, toBack, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.awt.MenuContainer

      `getFont, postEvent`

- - ### Field Detail

    - #### mLocalizer

          public static final Localizer mLocalizer

      The localizer for this class.

  - ### Method Detail

    - #### createDateSelector

          public void createDateSelector()

    - #### switchFullscreenMode

          public void switchFullscreenMode()

      Switch the fullscreen mode of TV-Browser

    - #### addKeyboardAction

          public void addKeyboardAction()

      Adds the keyboard actions for going to the program table with the keyboard.

    - #### goToRightSide

          protected void goToRightSide()

    - #### goToLeftSide

          protected void goToLeftSide()

    - #### getStatusBarLabel

          public javax.swing.JLabel getStatusBarLabel()

    - #### updateToolbar

          public void updateToolbar()

    - #### getProgramTableScrollPane

          public ProgramTableScrollPane getProgramTableScrollPane()

    - #### getToolbar

          public ToolBar getToolbar()

    - #### getToolBarPanel

          public javax.swing.JPanel getToolBarPanel()

    - #### getProgramTableModel

          public DefaultProgramTableModel getProgramTableModel()

    - #### getInstance

          public static MainFrame getInstance()

    - #### updateTimeButtons

          public void updateTimeButtons()

    - #### isShowAllFilterActivated

          public boolean isShowAllFilterActivated()

    - #### isDefaultFilterActivated

          public boolean isDefaultFilterActivated()

      check if the default filter is active
      Returns:
        true, if the default filter is active
      Since:
        2.6

    - #### setProgramFilter

          public void setProgramFilter(ProgramFilter filter)

    - #### setChannelFilter

          public void setChannelFilter(ChannelFilter channelFilter)

      Set the active channel group
      Parameters:
        `channelFilter` -
      Since:
        3.4.1

    - #### updateFilterPanel

          public void updateFilterPanel()

    - #### getProgramFilter

          public ProgramFilter getProgramFilter()

    - #### getChannelFilter

          public ChannelFilter getChannelFilter()

    - #### quit

          public void quit()

    - #### quit

          public void quit(boolean log)

    - #### isShuttingDown

          public static boolean isShuttingDown()

      Gets if TV-Browser is currently being shutting down.
      Returns:
        True if TV-Browser is shutting down.
      Since:
        2.5.3

    - #### isStarting

          public static boolean isStarting()

      Gets whether TV-Browser is currently being started.
      Returns:
        True if TV-Browser is currently being started.
      Since:
        2.5.3

    - #### handleTvBrowserStartFinished

          public void handleTvBrowserStartFinished()

      Handles done TV-Browser start.

    - #### resetOnAirArrays

          public static void resetOnAirArrays()

      Resets the arrays of on air programs for reloading all.

    - #### updatePluginsMenu

          public void updatePluginsMenu()

    - #### scrollToProgram

          public void scrollToProgram(Program program)

    - #### scrollToProgram

          public void scrollToProgram(Program program,
                             java.lang.Runnable callback)

    - #### selectProgram

          public void selectProgram(Program program,
                           boolean scroll)

    - #### scrollToTime

          public void scrollToTime(int time,
                          boolean mark)

    - #### scrollToNow

          public void scrollToNow()

    - #### scrollToNowFirst

          public void scrollToNowFirst()

      Very first scrollToNow should only be called from TVBrowser.java

    - #### runSetupAssistant

          public void runSetupAssistant()

    - #### copySettingsToSystem

          public void copySettingsToSystem()

    - #### storeSettings

          public void storeSettings()

    - #### showPluginInfoDlg

          protected void showPluginInfoDlg()

    - #### handleChangedTvDataDir

          public void handleChangedTvDataDir()

      Updates the entries of the finder panal.
      Since:
        2.2.2/2.5.1

    - #### showChannel

          public void showChannel(Channel ch)

    - #### goTo

          public void goTo(Date date)

    - #### goToNextDay

          public void goToNextDay()

    - #### goToNextDay

          public void goToNextDay(java.lang.Runnable callback)

    - #### goToPreviousDay

          public void goToPreviousDay()

    - #### goToPreviousDay

          public void goToPreviousDay(java.lang.Runnable callback)

    - #### goToNextWeek

          public void goToNextWeek()

      show same week day 7 days later
      Since:
        2.7

    - #### goToPreviousWeek

          public void goToPreviousWeek()

      show same week day 7 days earlier
      Since:
        2.7

    - #### goToToday

          public void goToToday()

      Since:
        2.7

    - #### getCurrentSelectedDate

          public Date getCurrentSelectedDate()

    - #### dateChanged

          public void dateChanged(Date date,
                         ProgressMonitor monitor,
                         java.lang.Runnable callback,
                         boolean informPluginPanels)

      Implementation of Interface DateListener
      Specified by:
        `dateChanged` in interface `DateListener`

    - #### runUpdateThread

          public void runUpdateThread(int daysToDownload,
                             TvDataServiceProxy[] services,
                             boolean autoUpdate)

    - #### updateChannellist

          public void updateChannellist()

    - #### updateChannelChooser

          public void updateChannelChooser()

    - #### updateTvData

          public void updateTvData(int numberOfDays,
                          java.lang.String reason)

      Starts the TV listings update with the given reason shown in the dialog
      Parameters:
        `numberOfDays` -
        `reason` - The reason for initiating the download

    - #### updateTvData

          public void updateTvData()

      Starts the TV listings update without a special reason shown in the dialog

    - #### licenseForTvDataServicesWasAccepted

          public boolean licenseForTvDataServicesWasAccepted(TvDataServiceProxy[] updateServices)

      Checks if all users services license were accepted.
      Parameters:
        `updateServices` - The service to check for license.
      Returns:
        If all used service licenses were accepted.

    - #### showSettingsDialog

          public void showSettingsDialog()

      Shows the settings dialog.

    - #### showSettingsDialog

          public void showSettingsDialog(java.lang.String visibleTabId)

      Show Settings Dialog for a specific TabId
      Parameters:
        `visibleTabId` - Id of the specific Tab

    - #### showSettingsDialog

          public void showSettingsDialog(Plugin plugin)

      Show the Settings for a specific Plugin
      Parameters:
        `plugin` - Plugin to show

    - #### showAboutBox

          public void showAboutBox()

      Shows the about box

    - #### showUpdatePluginsDlg

          public void showUpdatePluginsDlg(boolean noQuestion)

    - #### updatePlugins

          public void updatePlugins(java.lang.String baseUrl,
                           int dialogType,
                           javax.swing.JLabel infoLabel,
                           boolean dontShowUpdateDlg)

      Search for updates of plugins.
      Parameters:
        `baseUrl` - The url string to load the plugin updates from.
        `dialogType` - Type of the software update dialog.
        `infoLabel` - The label to use to show infos.
        `dontShowUpdateDlg` - If the dialog should not be shown even if updates are available. (User has disabled automatically plugin updates.)

    - #### showFromTray

          public void showFromTray(int state)

    - #### setVisible

          public void setVisible(boolean visible)

      Overrides:
        `setVisible` in class `java.awt.Window`

    - #### repaint

          public void repaint()

      Overrides:
        `repaint` in class `java.awt.Component`

    - #### askForDataUpdate

          public void askForDataUpdate(java.lang.String message,
                              int numberOfDays)

    - #### askForDataUpdateNoDataAvailable

          public void askForDataUpdateNoDataAvailable()

    - #### askForDataUpdateChannelsAdded

          public void askForDataUpdateChannelsAdded()

    - #### showFilterDialog

          public void showFilterDialog()

    - #### updateFilterMenu

          public void updateFilterMenu()

    - #### showHelpDialog

          public void showHelpDialog()

    - #### updateButtons

          public void updateButtons()

      Updates the TimeChooser-Buttons

    - #### setIsToolbarAdditonalTopSpace

          public void setIsToolbarAdditonalTopSpace(boolean value)

    - #### setIsToolbarAdditonalBottomSpace

          public void setIsToolbarAdditonalBottomSpace(boolean value)

    - #### setShowMenubar

          public void setShowMenubar(boolean visible)

    - #### setShowToolbar

          public void setShowToolbar(boolean visible)

    - #### setShowSearchField

          public void setShowSearchField(boolean visible)

    - #### setShowTimeButtons

          public void setShowTimeButtons(boolean visible)

    - #### setShowTimeButtons

          public void setShowTimeButtons(boolean visible,
                                boolean save)

    - #### setShowDatelist

          public void setShowDatelist(boolean visible)

    - #### setShowDatelist

          public void setShowDatelist(boolean visible,
                             boolean save)

    - #### setShowChannellist

          public void setShowChannellist(boolean visible)

    - #### setShowChannellist

          public void setShowChannellist(boolean visible,
                                boolean save)

    - #### setPluginViewButton

          public void setPluginViewButton(boolean selected)

    - #### setShowPluginOverview

          public void setShowPluginOverview(boolean visible)

    - #### isShowingPluginOverview

          public boolean isShowingPluginOverview()

      Gets if the plugin overview is shown.

      Returns:
        `true` if the plugin overview is shown, `false` otherwise.
      Since:
        2.2.2

    - #### setShowPluginOverview

          public void setShowPluginOverview(boolean visible,
                                   boolean save)

    - #### setShowStatusbar

          public void setShowStatusbar(boolean visible)

      Makes the StatusBar visible
      Parameters:
        `visible` - true if Statusbar should be visible

    - #### createProgressMonitor

          public ProgressMonitor createProgressMonitor()

    - #### selectChannel

          public void selectChannel(Channel channel)

    - #### changeFontSize

          public void changeFontSize(int offset)

      increase/decrease the font of the program table
      Parameters:
        `offset` - positive values increase font, negative values decrease font, zero sets to default again

    - #### changeColumnWidth

          public void changeColumnWidth(int offset)

      increase/decrease the width of the program table columns
      Parameters:
        `offset` - positive values increase column width, negative values decrease column width, zero sets to default again

    - #### getStatusBar

          public StatusBar getStatusBar()

    - #### isFullScreenMode

          public boolean isFullScreenMode()

      get whether the mainframe is currently in full screen mode
      Returns:
        in full screen mode
      Since:
        2.5.3

    - #### updatePluginTree

          public void updatePluginTree()

    - #### dragEnter

          public void dragEnter(java.awt.dnd.DropTargetDragEvent dtde)

      Specified by:
        `dragEnter` in interface `java.awt.dnd.DropTargetListener`

    - #### dragExit

          public void dragExit(java.awt.dnd.DropTargetEvent dte)

      Specified by:
        `dragExit` in interface `java.awt.dnd.DropTargetListener`

    - #### dragOver

          public void dragOver(java.awt.dnd.DropTargetDragEvent dtde)

      Specified by:
        `dragOver` in interface `java.awt.dnd.DropTargetListener`

    - #### drop

          public void drop(java.awt.dnd.DropTargetDropEvent dtde)

      Specified by:
        `drop` in interface `java.awt.dnd.DropTargetListener`

    - #### dropActionChanged

          public void dropActionChanged(java.awt.dnd.DropTargetDragEvent dtde)

      Specified by:
        `dropActionChanged` in interface `java.awt.dnd.DropTargetListener`

    - #### updateChannelGroupMenu

          public void updateChannelGroupMenu(javax.swing.JMenu channelGroupMenu)

    - #### getUserRequestCopyToSystem

          public boolean getUserRequestCopyToSystem()

    - #### updatePersona

          public void updatePersona()

      Updates the search field on Persona change.
      Specified by:
        `updatePersona` in interface `PersonaListener`

    - #### updateCenterPanels

          public void updateCenterPanels()

    - #### getProgramTableScrollPaneWrapper

          public ProgramTableScrollPaneWrapper getProgramTableScrollPaneWrapper()

    - #### getPluginViewWrapper

          public PluginViewWrapper getPluginViewWrapper()

    - #### pluginActivated

          public void pluginActivated(PluginProxy plugin)

      Specified by:
        `pluginActivated` in interface `PluginStateListener`

    - #### pluginDeactivated

          public void pluginDeactivated(PluginProxy plugin)

      Specified by:
        `pluginDeactivated` in interface `PluginStateListener`

    - #### pluginLoaded

          public void pluginLoaded(PluginProxy plugin)

      Specified by:
        `pluginLoaded` in interface `PluginStateListener`

    - #### pluginUnloaded

          public void pluginUnloaded(PluginProxy plugin)

      Specified by:
        `pluginUnloaded` in interface `PluginStateListener`

    - #### showProgramTableTabIfAvailable

          public void showProgramTableTabIfAvailable()

    - #### filterAdded

          public void filterAdded(ProgramFilter filter)

      Description copied from interface: `FilterChangeListenerV2`
      Called when a filter is added.

      Specified by:
        `filterAdded` in interface `FilterChangeListenerV2`
      Parameters:
        `filter` - The filter that was added.

    - #### filterRemoved

          public void filterRemoved(ProgramFilter filter)

      Description copied from interface: `FilterChangeListenerV2`
      Called when a filter was removed.

      Specified by:
        `filterRemoved` in interface `FilterChangeListenerV2`
      Parameters:
        `filter` - The filter that was removed.

    - #### filterTouched

          public void filterTouched(ProgramFilter filter)

      Description copied from interface: `FilterChangeListenerV2`
      Called when user edited the filter.

      Specified by:
        `filterTouched` in interface `FilterChangeListenerV2`
      Parameters:
        `filter` - The filter that was touched.

    - #### filterDefaultChanged

          public void filterDefaultChanged(ProgramFilter filter)

      Description copied from interface: `FilterChangeListenerV2`
      Called when the default filter was changed.

      Specified by:
        `filterDefaultChanged` in interface `FilterChangeListenerV2`
      Parameters:
        `filter` - The new default filter, or the all filter if no default filter exists.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)